GlueGen: com.jogamp.gluegen.GenericCPP Interface Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.GenericCPP Interface Reference

Generic C preprocessor interface for GlueGen. More...

Collaboration diagram for com.jogamp.gluegen.GenericCPP:

## Public Member Functions

void | addDefine (String name, String value) throws LexerException
String | findFile (String filename)
OutputStream | out ()
void | setOut (OutputStream out)
void | run (Reader reader, String filename) throws GlueGenException
List< ConstantDefinition > | getConstantDefinitions () throws GlueGenException
| Returns a list of `ConstantDefinition`, i.e. More...

## Detailed Description

Generic C preprocessor interface for GlueGen.

Definition at line 39 of file GenericCPP.java.

## Member Function Documentation

## ◆ addDefine()

void com.jogamp.gluegen.GenericCPP.addDefine | ( | String | name,
|  | String | value
| ) |  | throws LexerException

Here is the caller graph for this function:

## ◆ findFile()

String com.jogamp.gluegen.GenericCPP.findFile | ( | String | filename | ) |

Here is the caller graph for this function:

## ◆ getConstantDefinitions()

List< ConstantDefinition > com.jogamp.gluegen.GenericCPP.getConstantDefinitions | ( |  | ) | throws GlueGenException

Returns a list of `ConstantDefinition`, i.e.

non-function-like and non-empty macros w/ constant-value, as derived during parsing.

May return an empty list, in case this preprocessor does not store `ConstantDefinition`s.

Exceptions

  GlueGenException |

Here is the caller graph for this function:

## ◆ out()

OutputStream com.jogamp.gluegen.GenericCPP.out | ( |  | ) |

## ◆ run()

void com.jogamp.gluegen.GenericCPP.run | ( | Reader | reader,
|  | String | filename
| ) |  | throws GlueGenException

Here is the caller graph for this function:

## ◆ setOut()

void com.jogamp.gluegen.GenericCPP.setOut | ( | OutputStream | out | ) |

Here is the caller graph for this function:

The documentation for this interface was generated from the following file:

- src/java/com/jogamp/gluegen/GenericCPP.java